0

I've been installed mod_security. If i simply include in the httpd the configuration files of mod_security, it starts normally. Indeed, if i try to add SecChrootDir /mnt/chr , httpd will start, but at the request of the page it returns either 404 error or The connection was reset error (Firefox). The httpd error log reports continuously:

libgcc_s.so.1 must be installed for pthread_cancel to work
libgcc_s.so.1 must be installed for pthread_cancel to work
libgcc_s.so.1 must be installed for pthread_cancel to work
libgcc_s.so.1 must be installed for pthread_cancel to work
[Fri Jun 21 23:29:09.672309 2013] [core:notice] [pid 4591:tid 140152074479488] AH00052: child pid 16365 exit signal Aborted (6)
[Fri Jun 21 23:29:09.672396 2013] [core:notice] [pid 4591:tid 140152074479488] AH00052: child pid 16366 exit signal Aborted (6)
[Fri Jun 21 23:29:09.672423 2013] [core:notice] [pid 4591:tid 140152074479488] AH00052: child pid 16367 exit signal Aborted (6)
[Fri Jun 21 23:29:09.672446 2013] [core:notice] [pid 4591:tid 140152074479488] AH00052: child pid 16369 exit signal Aborted (6)
libgcc_s.so.1 must be installed for pthread_cancel to work
[Fri Jun 21 23:29:11.675957 2013] [core:notice] [pid 4591:tid 140152074479488] AH00052: child pid 16488 exit signal Aborted (6)
libgcc_s.so.1 must be installed for pthread_cancel to work
libgcc_s.so.1 must be installed for pthread_cancel to work
[Fri Jun 21 23:29:12.678989 2013] [core:notice] [pid 4591:tid 140152074479488] AH00052: child pid 16518 exit signal Aborted (6)
[Fri Jun 21 23:29:12.679099 2013] [core:notice] [pid 4591:tid 140152074479488] AH00052: child pid 16519 exit signal Aborted (6)

I checked for this file and i have this in /lib , /lib32 and lib64. I also can't understand the 404 error if i have an index page. How can i fix these problems?

0

You may have the 64bit version where you need the 32bit version. See the following:

http://forum.teamspeak.com/showthread.php/40875-libgcc_s-so-1-must-be-installed-for-pthread_cancel-to-work

I got this to work. Apparently I had the 64-bit version of that library, while the TS server wants the 32-bit one. I obtained the last 32-bit rpm for libgcc for Fedora 6 from rpm.pbone.net, then did:

rpm -ivh libgcc-4.1.2-13.fc6.i386.rpm

It installed the 32-bit version side-by-side next to my 64-bit version.

  • Thanks. For others who may have this problem: i installed packages from here. I needed lib32stdc++6 and gcc-4.8-base (to resolve dependencies). The libs should be copied into the directory of the chrooted dir (for example /chroot/lib/namelib.so.1). – sl34x Jun 22 '13 at 10:46

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.